Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.conf
Class MappingFactoryValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.ObjectValue
              org.apache.openjpa.lib.conf.PluginValue
                  org.apache.openjpa.jdbc.conf.MappingFactoryValue

All Implemented Interfaces:
  Cloneable

    public class MappingFactoryValue

extends PluginValue

Handles the complex logic of creating a `MetaDataFactory` for combined metadata and mapping.

Author:
  Abe White

Field Summary

Fields inherited from class org.apache.openjpa.lib.conf.Value
`INVISIBLE`

Constructor Summary
`MappingFactoryValue(String prop)`

Method Summary
`MetaDataFactory` | `instantiateMetaDataFactory(Configuration conf, PluginValue metaPlugin, String mapping)` Intantiate a `MetaDataFactory` responsible for both metadata and mapping.
`MetaDataFactory` | `instantiateMetaDataFactory(Configuration conf, PluginValue metaPlugin, String mapping, boolean fatal)` Intantiate a `MetaDataFactory` responsible for both metadata and mapping.
`void` | `setMappedMetaDataFactoryDefault(String metaAlias, String mappingAlias)` If the `Mapping` property is set, we check these defaults before checking metadata factory defaults.
`void` | `setMetaDataFactoryDefault(String metaAlias, String mappingAlias)` Default setting for a given `MetaDataFactory` alias setting.

Methods inherited from class org.apache.openjpa.lib.conf.PluginValue
`configure, getClassName, getInternalString, getProperties, getString, getValueType, instantiate, isSingleton, objectChanged, set, setClassName, setInternalString, setProperties, setString`

Methods inherited from class org.apache.openjpa.lib.conf.ObjectValue
`configure, get, instantiate, newInstance, set, setInternalObject`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`addEquivalentKey, addListener, alias, alias, assertChangeable, clone, equals, getAliases, getDefault, getEquivalentKeys, getInstantiatingGetter, getListeners, getLoadKey, getOriginalValue, getProperty, getPropertyKeys, getScope, hashCode, hide, isAliasListComprehensive, isDynamic, isHidden, isPrivate, makePrivate, matches, removeListener, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setDynamic, setInstantiatingGetter, setLoadKey, setObject, setProperty, setScope, toString, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingFactoryValue

    public MappingFactoryValue(String prop)

Method Detail

### setMetaDataFactoryDefault

    public void setMetaDataFactoryDefault(String metaAlias,
                                          String mappingAlias)

  Default setting for a given `MetaDataFactory` alias setting. If a `MappingFactory` value is not supplied, we check these defaults against the `MetaDataFactory` setting. If the `MetaDataFactory` does not have a default, we assume it handles both metadata and mapping factory.

### setMappedMetaDataFactoryDefault

    public void setMappedMetaDataFactoryDefault(String metaAlias,
                                                String mappingAlias)

  If the `Mapping` property is set, we check these defaults before checking metadata factory defaults.

### instantiateMetaDataFactory

    public MetaDataFactory instantiateMetaDataFactory(Configuration conf,
                                                      PluginValue metaPlugin,
                                                      String mapping)

  Intantiate a `MetaDataFactory` responsible for both metadata and mapping.

### instantiateMetaDataFactory

    public MetaDataFactory instantiateMetaDataFactory(Configuration conf,
                                                      PluginValue metaPlugin,
                                                      String mapping,
                                                      boolean fatal)

  Intantiate a `MetaDataFactory` responsible for both metadata and mapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.